MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
SignalMonitor.hxx File Reference
`#include "check.h"`
`#include "util/BindMethod.hxx"`
Include dependency graph for SignalMonitor.hxx:

Go to the source code of this file.

## Typedefs
typedef BoundMethod< void()> | SignalHandler

## Functions
void | SignalMonitorInit (EventLoop &loop)
| Initialise the signal monitor subsystem. More...
void | SignalMonitorFinish ()
| Deinitialise the signal monitor subsystem. More...
void | SignalMonitorRegister (int signo, SignalHandler handler)
| Register a handler for the specified signal. More...

## Typedef Documentation

typedef BoundMethod<void()> SignalHandler

Definition at line 25 of file SignalMonitor.hxx.

## Function Documentation

void SignalMonitorFinish | ( |  | ) |

Deinitialise the signal monitor subsystem.

void SignalMonitorInit | ( | EventLoop & | loop | ) |

Initialise the signal monitor subsystem.

void SignalMonitorRegister | ( | int | signo,
|  | SignalHandler | handler
| ) |  |

Register a handler for the specified signal.

The handler will be invoked in a safe context.